#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "proto_tool.h"
#include "velodyne_config.pb.h"
#include <cmath>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_ComputeButton_clicked();

    void on_EntranceComboBox_currentTextChanged(const QString &arg1);

    void on_Forward_clicked();

    void on_Reverse_clicked();

    void on_RedoButton_clicked();

    void on_QuashButton_clicked();

private:
    bool init(const std::string &filename);
    void showStatu();

private:
    Ui::MainWindow *ui;
    int record_id = 0;
    int record_id_max = 0;
    std::map<int, velodyne::Region> m_ground_region_map;            // 区域功能实例指针数组, 内存由本类管理
};
#endif // MAINWINDOW_H
